Skip to main content
Player Group

Play existing media file across player group

Will preempt everything other than urgent alerts.

PUT
/api/v1/group/play

On success, response includes an integer push_id that can be used with the DELETE method to revoke this content assignment.

Expiration must be in the form ###m (example 10m for 10 minutes) or in UTC (2018-10-09T12:30:00Z)

Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

namestringquery

Conditionally required. group name. if group id is provided, name is optional

Example: sample_group
idstringquery

Conditionally required. group id. if group name is provided, id is optional

media_namestringquery

name of the media file to play

media_idintegerquery

id of the media file to play

Example: 4
tagstringquery

search tag

durationintegerquery

length of time to play media item (Default 15 seconds)

Example: 15
startstringquery

Start datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

endstringquery

end datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

Response

200application/json

OK

itemsobject[]